Subject: Re: [PATCH 02/21] e1000: rework driver hardware reset locking

From: Jeff Garzik <[email-masked]>
Date: Mon, 26 Jun 2006 21:42:04 -0400

Kok, Auke wrote:
> @@ -631,6 +627,9 @@ e1000_set_ringparam(struct net_device *n
>  	tx_ring_size = sizeof(struct e1000_tx_ring) * adapter->num_tx_queues;
>  	rx_ring_size = sizeof(struct e1000_rx_ring) * adapter->num_rx_queues;
>  
> +	while (test_and_set_bit(__E1000_RESETTING, &adapter->flags))
> +		msleep(1);

This is a bit worrying, but no outright objection.  We don't want to see 
these accumulate.